查询 Payment Intent 详情
按 Payment Intent ID 查询支付详情。
GET
按 Payment Intent ID 查询支付详情。
bearerAuthheader
AuthorizationBearer <token>通过 POST /oauth2/token 获取的 access_token。请求头格式为 Authorization: Bearer {accessToken}。
paymentIntentId*stringPayment Intent ID,如 pi_MNOL0POUV8IDPXCD
返回 Payment Intent 对象。
application/json- response
code?integer业务状态码
message?stringtraceId?string请求追踪 ID。联系技术支持时请提供
data?Payment Intent 对象。金额字段都是标准单位十进制字符串,按币种精度输出。时间字段都是 ISO 8601 格式,带时区偏移。值为空的字段不返回。
curl -X GET 'https://api.test.stabofx.com/openapi/v1/payment-intents/string'Example Response
{ "code": 200, "message": "OK", "traceId": "6a017ba1e60f91cdbe14e4f0697b3dc2", "data": { "paymentIntentId": "pi_MNOL0POUV8IDPXCD", "status": "COMPLETED", "clientSecret": "v1.xxx", "checkoutUrl": "https://app.test.stabofx.com/en/checkout/pi_MNOL0POUV8IDPXCD?secret=v1.xxx", "amount": "20.00", "currency": "USD", "usdAmount": "20.00", "fxRate": "1", "referenceNo": "ORD-20260511-0001", "description": "Order #20260511-0001", "customer": "cus_123456", "brand": "Acme Coffee", "payments": [ { "network": "Polygon", "currency": "USDT", "amount": "20.08", "txHash": "0x5f2c...a91e", "fromAddress": "0x97535e309484738738877fa6f9a3bb8c62eae19a", "confirmations": 12, "requiredConfirmations": 12, "status": "CONFIRMED", "confirmedAt": "2026-05-11T14:18:02+08:00" } ], "receivedAmount": "20.00", "receivedUsdAmount": "20.00", "feeAmount": "0.30", "refundedAmount": "0.00", "hasRefund": false, "expiresAt": "2026-05-11T14:42:34+08:00", "completedAt": "2026-05-11T14:25:10+08:00", "createdAt": "2026-05-11T14:12:34+08:00", "metadata": { "orderId": "ORD-20260511-0001" }, "paymentOptions": [ { "currency": "USDT", "network": "Polygon" } ] }}